
Gem::Specification::new do |s|
  version = "0.9.9"

  files = Dir.glob("**/*") + [".yardopts"] - [ 
                               Dir.glob("timesteps-*.gem"), 
                               Dir.glob("doc/**/*"), 
                               Dir.glob("examples/**/*"), 
                             ].flatten

  s.platform    = Gem::Platform::RUBY
  s.name        = "timesteps"
  s.summary     = "A library for handling discrete time series in constant increments"
  s.description = <<-HERE
  A library for time conversion and intercomparison of multiple time series data 
  in the case of handling time series data of the type that specifies the time using 
  indexes of time steps since origin time. It handles time units notation like 
  "hours since 2001-01-01 00:00:00", which is originate from udunits library and 
  also is used in CF-convension of NetCDF. The main purpose of this library is to 
  describe the time axis when dealing with time series of observational data and climate data.
  HERE
  s.version     = version
  s.licenses    = ['MIT']
  s.author      = "Hiroki Motoyoshi"
  s.email       = ""
  s.homepage    = 'https://github.com/himotoyoshi/timesteps'
  s.files       = files
  s.required_ruby_version = ">= 2.4.1"
end
